require "rails_helper"

RSpec.describe Settings::LookupsController, type: :routing do
  describe "routing" do

    it "routes to #index" do
      expect(:get => "/settings/lookups").to route_to("settings/lookups#index")
    end

    it "routes to #new" do
      expect(:get => "/settings/lookups/new").to route_to("settings/lookups#new")
    end

    it "routes to #show" do
      expect(:get => "/settings/lookups/1").to route_to("settings/lookups#show", :id => "1")
    end

    it "routes to #edit" do
      expect(:get => "/settings/lookups/1/edit").to route_to("settings/lookups#edit", :id => "1")
    end

    it "routes to #create" do
      expect(:post => "/settings/lookups").to route_to("settings/lookups#create")
    end

    it "routes to #update via PUT" do
      expect(:put => "/settings/lookups/1").to route_to("settings/lookups#update", :id => "1")
    end

    it "routes to #update via PATCH" do
      expect(:patch => "/settings/lookups/1").to route_to("settings/lookups#update", :id => "1")
    end

    it "routes to #destroy" do
      expect(:delete => "/settings/lookups/1").to route_to("settings/lookups#destroy", :id => "1")
    end

  end
end
